function Protwarbar:CreateDefaults()

	local space = 35 + 3

	local line1x = 398	
	local line1y = 607 

	local line2x = line1x
	local line2y = line1y + space

	local line3x = 620
	local line3y = 410

	local line4x = line3x
	local line4y = line3y + space

	local iconlist = {
		{	-- battle shout
			name = GetSpellInfo(6673),
			x = 475,
			y = 495,
			spellid = 6673,
			enabled = true,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- berserker rage
			name = GetSpellInfo(18499),
			x = 512,
			y = 495,
			spellid = 18499,
			enabled = true,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- shield slam
			name = GetSpellInfo(23922),
			x = 512,
			y = 532,
			spellid = 23922,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- revenge
			name = GetSpellInfo(6572),
			x = 475,
			y = 532,
			spellid = 6572,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- shieldwall
			name = GetSpellInfo(871),
			x = line3x,
			y = line3y,
			spellid = 871,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- last stand
			name = GetSpellInfo(12975),
			x = line3x + 1 * space,
			y = line3y,
			spellid = 12975,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- rallying cry
			name = GetSpellInfo(97462),
			x = line3x + 2 * space,
			y = line3y,
			spellid = 97462,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- demo shout
			name = GetSpellInfo(1160),
			x = line3x + 3 * space,
			y = line3y,
			spellid = 1160,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- thunder clap
			name = GetSpellInfo(6343),
			x = line1x + 0 * space,
			y = line1y,
			spellid = 6343,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- impending victory
			name = GetSpellInfo(103840),
			x = line1x + 1 * space,
			y = line1y,
			spellid = 103840,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 6,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- enraged regen
			name = GetSpellInfo(55694),
			x = line1x + 1 * space,
			y = line1y,
			spellid = 55694,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 4,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- bladestorm
			name = GetSpellInfo(46924),
			x = line1x + 2 * space,
			y = line1y,
			spellid = 46924,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 10,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- shockwave
			name = GetSpellInfo(46968),
			x = line1x + 2 * space,
			y = line1y,
			spellid = 46968,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 11,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- dragon roar
			name = GetSpellInfo(118000),
			x = line1x + 2 * space,
			y = line1y,
			spellid = 118000,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 12,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Heroid strike
			name = GetSpellInfo(78),
			x = line2x + 0 * space,
			y = line2y,
			spellid = 78,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},		
		{	-- Cleave
			name = GetSpellInfo(845),
			x = line2x + 1 * space,
			y = line2y,
			spellid = 845,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Deadly calm
			name = GetSpellInfo(85730),
			x = line1x + 3 * space,
			y = line1y,
			spellid = 85730,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Recklessness
			name = GetSpellInfo(1719),
			x = line2x + 2 * space,
			y = line2y,
			spellid = 1719,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Avatar
			name = GetSpellInfo(107574),
			x = line2x + 3 * space,
			y = line2y,
			spellid = 107574,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 16,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Bloodbath
			name = GetSpellInfo(12292),
			x = line2x + 3 * space,
			y = line2y,
			spellid = 12292,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 17,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Storm Bolt
			name = GetSpellInfo(107570),
			x = line2x + 3 * space,
			y = line2y,
			spellid = 107570,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = 18,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Skull Banner
			name = GetSpellInfo(114207),
			x = line4x + 0 * space,
			y = line4y,
			spellid = 114207,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Mocking Banner
			name = GetSpellInfo(114192),
			x = line4x + 1 * space,
			y = line4y,
			spellid = 114192,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Demoralizing Banner
			name = GetSpellInfo(114203),
			x = line4x + 2 * space,
			y = line4y,
			spellid = 114203,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Shield Block
			name = GetSpellInfo(2565),
			x = 512,
			y = 569,
			spellid = 2565,
			enabled = true,
			hideOnCD = false,
			size = 35,
			talent = nil,
			rage = 60,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
		{	-- Shield Barrier
			name = GetSpellInfo(112048),
			x = 474,
			y = 569,
			spellid = 112048,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			rage = 20,
			border = "None",
			edgeSize = 16,
			textureSize = nil,
		},
	}

	local debufflist = {
		{	-- weakened blows
			name = GetSpellInfo(115798),
			x = line1x + 1 * -space,
			y = line1y,
			spellid = 115798,
			enabled = false,
			hideOnCD = false,
			size = 35,
			talent = nil,
			border = "None",
			edgeSize = 16,
			textureSize = nil,			
		},
	}

	local barlist = {
		{ 	-- shieldwall
			name = GetSpellInfo(871),
			enabled = true,
			color = {0, 1, 0, 1},
		},
		{ 	-- last stand
			name = GetSpellInfo(12975),
			enabled = true,
			color = {1, 1, 0, 1},
		},
		{ 	-- rallying cry
			name = GetSpellInfo(97462),
			enabled = true,
			color = {0, 1, 1, 1},
		},
		{ 	-- demo shout cry
			name = GetSpellInfo(1160),
			enabled = true,
			color = {0.5, 0.5, 1, 1},
		},
		{ 	-- shield barrier
			name = GetSpellInfo(112048),
			enabled = true,
			color = {0, 0, 1, 1},
		},
		{	-- shield block
			name = GetSpellInfo(2565),
			enabled = true,
			color = {1, 0, 0, 1},
		},		
	}

  	local defaults = {
  		profile = {
  			enabled = true,
  			showInProtOnly = true,
  			locked = false,
  			hideooc = false,
  			rageFrame = {
	  			color20 = {0.7, 0.5, 1, 1},
	  			color60 = {0, 1, 1, 1},
	  			color100 = {0, 1, 0, 1},
	  			color120 = {0, 1, 0, 1},
	  			colorMax = {1, 0, 0, 1},
	  			width = 250,
	  			height = 25,
	  			orientation = "HORIZONTAL",
	  			reverse = false,
	  			x = 550,
	  			y = 500,
				background = {0, 0, 0, 0.6},
				texture = "Solid",
				font = "Big Noodle",
				fontsize = 19,
  			},
  			iconLowRageAlpha = 0.5,
			IconsEnabled = true,
			icons = iconlist,
			debufs = debufflist,
			bars = barlist,
			InformationFrame = {
				enabled = true,
  				x = 805,
  				y = 500,
				width = 90,
				height = 25,
				font = "Big Noodle",
				fontsize = 19,
				vengeance = {
					enabled = true,
				},
  				shieldBarrier = {
  					enabled = true,
  				}
			},
			shieldFrame = { 
				x = 550, 
				y = 525,
				enabled = true,
				width = 250,
				height = 7,
				orientation = "HORIZONTAL",
				reverse = false,
				texture = "Solid",
				background = {0, 0, 0, 0},
				barcount = 3,
				infoFrame = {
					enabled = true,
					font = "Arial Narrow",
					fontsize = 7,			
				},
			},

 		}
	}

	return defaults	
end